<template>
  <q-layout view="hHh lPr fFf">
    <q-header>
      <div class="row no-wrap">

        <q-toolbar class="col-10 bg-accent">
          <q-toolbar-title v-if="this.$store.state.oidcUser.authenticated" class="text-subtitle2">{{'Welcome ' + this.$store.state.oidcUser.oidcUser.username + '.'}}</q-toolbar-title>
          <q-btn v-if="admin" to="/wwweasel" label="WWWEASEL" outline color="primary" />
        </q-toolbar>

        <div class="col-2">
          <account-button></account-button>
        </div>

      </div>
      
    </q-header>

    <q-page-container>
      <index></index>
    </q-page-container>

  </q-layout>
</template>

<script>
import AccountButton from 'src/components/AccountButton.vue'
import Index from 'pages/Index.vue'

export default {
  name: 'MainLayout',
  components: { AccountButton, Index },
  async beforeCreate(){
    await this.$store.dispatch('oidcUser/requestOidcUser');
    if( this.$store.state.oidcUser.authenticated ){
      this.$router.push({name:'chat'});
    }
  },
  computed:{
    oidcUser: function(){
      return this.$store.state.oidcUser.oidcUser;      
    },
    admin: function(){
      return this.$store.state.oidcUser.oidcUser != null ? this.$store.state.oidcUser.oidcUser.roles.includes("WWWEASEL") : false
    },
  },
}
</script>
